Subject: Re: OF properties access ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 17 Jan 2004 14:48:11 +1100

>
> But this doesn't reply me on why my attempts to read back integer values
> from OF property only result in the machine hanging, and since it is
> really early on, i don't even get serial console output to have an idea
> why :/
>
> in particular i cloned the code reading l2cr-value, and changed it to
> l2cr and instead of reading the value, i got only kernel silently dying.

Show me the code and the relevant device-tree bits.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/